<?php
/**
 * Abook Plugin for sh404SEF
 * Author : Ugolotti Federica
 * contact : www.informatizzati.org
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

// ------------------  standard plugin initialize function - don't change ---------------------------
global $sh_LANG, $sefConfig;
$shLangName = '';
$shLangIso = '';
$title = array();
$shItemidString = '';
$dosef = shInitializePlugin( $lang, $shLangName, $shLangIso, $option);
if ($dosef == false) return;
// ------------------  standard plugin initialize function - don't change ---------------------------

// ------------------  load language file - adjust as needed ----------------------------------------
//$shLangIso = shLoadPluginLanguage( 'com_XXXXX', $shLangIso, '_SEF_SAMPLE_TEXT_STRING');
// ------------------  load language file - adjust as needed ----------------------------------------

// start by inserting the menu element title (just an idea, this is not required at all)
$view = isset($view) ? @$view : null;
$Itemid = isset($Itemid) ? @$Itemid : null;
$limit = isset($limit) ? @$limit : null;
$limitstart = isset($limitstart) ? @$limitstart : null;

$shAbookName = shGetComponentPrefix($option);
$shAbookName = empty($shAbookName) ? getMenuTitle($option, $view, $Itemid, null, $shLangName) : $shAbookName;

$shAbookName = (empty($shAbookName) || $shAbookName == '/') ? 'Abook':$shAbookName;

//if (!empty($shAbookName)) $title[] = $shAbookName;
$params =& JComponentHelper::getParams( 'com_abook' );
if (!empty($shAbookName)) $title[] = $params->get( 'comp_name' );
switch ($view) {
        case 'book':
                $q = 'SELECT name FROM #__abcategories WHERE id = '.$catid;
                $database->setQuery($q);
                $ab_category = $database->loadResult();
                $title[] = $ab_category;
		if (!empty($catid))
			  shRemoveFromGETVarsList('catid');
                $q = 'SELECT title FROM #__abbook WHERE id = '.$id;  // select clause includes id, even if
                $database->setQuery($q);                                 // we don't need it, in order for Joomfish to
                $ab_title = $database->loadResult();                         // return a translated version
                $title[] = $ab_title;
		if (!empty($id))
			shRemoveFromGETVarsList('id');
        break;
        case 'category':
                $q = 'SELECT name FROM #__abcategories WHERE id = '.$id;
                $database->setQuery($q);
                $ab_category = $database->loadResult();
                $title[] = $ab_category;
		if (!empty($id))
			shRemoveFromGETVarsList('id');
        break;
        case 'categories':
		shRemoveFromGETVarsList('view');
        break;
        case 'search':
                $title[] = "search";
        break;
        case 'author':
                $q = 'SELECT name FROM #__abauthor WHERE id = '.$id;
                $database->setQuery($q);
                $ab_author = $database->loadResult();
                $title[] = $ab_author;
		if (!empty($id))
			shRemoveFromGETVarsList('id');
	break;
	default:
	        $title[] = '/';
        break;
//        case '':
//          $dosef = false;  // these tasks do not require SEF URL
//        break;
}


// remove common URL from GET vars list, so that they don't show up as query string in the URL
shRemoveFromGETVarsList('option');
if (!empty($lang))
  shRemoveFromGETVarsList('lang');

if (!empty($view))
  shRemoveFromGETVarsList('view');

shRemoveFromGETVarsList('Itemid');
if (!empty($limit))
shRemoveFromGETVarsList('limit');
if (isset($limitstart))
  shRemoveFromGETVarsList('limitstart'); // limitstart can be zero


// ------------------  standard plugin finalize function - don't change ---------------------------  
if ($dosef){
   $string = shFinalizePlugin( $string, $title, $shAppendString, $shItemidString,
      (isset($limit) ? @$limit : null), (isset($limitstart) ? @$limitstart : null),
      (isset($shLangName) ? @$shLangName : null));
}
// ------------------  standard plugin finalize function - don't change ---------------------------

?>
